package com.docus.server.report.enums;

import lombok.Getter;

/**
 * @author wyb
 */

@Getter
public enum OperatorEnum {

    EQ("=","eq","等于"),
    NOT_EQ_1("!=","not","不等于"),
    NOT_EQ_2("<>","not","不等于"),
    GT(">","gt","大于"),
    GE(">=","ge","大于等于"),
    LT("<","lt","小于"),
    LE("<=","le","小于等于");

    String masterCode;
    String slaveCode;
    String desc;

    OperatorEnum(String masterCode,String slaveCode,String desc){
        this.masterCode=masterCode;
        this.slaveCode=slaveCode;
        this.desc=desc;
    }

}
